From 042fe1d90aa12d798387b61dcd35115626714fec Mon Sep 17 00:00:00 2001
From: Jelte Fennema-Nio <github-tech@jeltef.nl>
Date: Sun, 23 Feb 2025 15:41:48 +0100
Subject: [PATCH v2 2/2] Use d alias for pg_description consistently

In the psql query for \dx we used "c" as an alias for pg_description.
That's a pretty arbitrary letter and given that in all other queries in
use "d" as alias for that table this changes that to follow that
convention.

Reported-By: Michael Banck
---
 src/bin/psql/describe.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/bin/psql/describe.c b/src/bin/psql/describe.c
index 01e62430fff..0e13c81a203 100644
--- a/src/bin/psql/describe.c
+++ b/src/bin/psql/describe.c
@@ -6192,7 +6192,7 @@ listExtensions(const char *pattern)
 					  "n.nspname AS \"%s\", c.description AS \"%s\"\n"
 					  "FROM pg_catalog.pg_extension e "
 					  "LEFT JOIN pg_catalog.pg_namespace n ON n.oid = e.extnamespace "
-					  "LEFT JOIN pg_catalog.pg_description c ON c.objoid = e.oid "
+					  "LEFT JOIN pg_catalog.pg_description d ON d.objoid = e.oid "
 					  "LEFT JOIN pg_catalog.pg_available_extensions() ae(name, default_version, comment) ON ae.name = e.extname "
 					  "AND c.classoid = 'pg_catalog.pg_extension'::pg_catalog.regclass\n",
 					  gettext_noop("Name"),
-- 
2.43.0

